> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lumenaza.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Returns feed-in and supply values.

> Returns the feed-in and supply values for the requested time range (`start`, `end`) and aggregation type (`type`). These values are updated each day. Supply data is available for RLM and SLP customers.



## OpenAPI

````yaml /lumx_openapi.yaml get /v3/community/
openapi: 3.0.3
info:
  title: Lumenaza external API
  version: 3.8.0 (v3)
  description: Specification of the Lumenaza external API.
servers:
  - url: https://api.lumenaza.de/
    description: Produktivserver
  - url: https://api.test.lumenaza.de/
    description: Testserver
security: []
tags:
  - name: Community Data API
    description: >-
      The API is used to retrieve master data and measurement data for a
      community. A community is defined by all customers that belong to your
      company.
paths:
  /v3/community/:
    get:
      tags:
        - Community Data API
      summary: Returns feed-in and supply values.
      description: >-
        Returns the feed-in and supply values for the requested time range
        (`start`, `end`) and aggregation type (`type`). These values are updated
        each day. Supply data is available for RLM and SLP customers.
      operationId: community_list
      parameters:
        - in: query
          name: end
          schema:
            type: string
            format: date-time
          description: >-
            End date time of the requested time period in UTC (excluded). Needs
            to satisfy end <= start.
          required: true
        - in: query
          name: limit
          schema:
            type: integer
            minimum: 1
          description: Limit for the number of data points to be returned.
        - in: query
          name: start
          schema:
            type: string
            format: date-time
          description: 'Start date time of the requested time period in UTC (included). '
          required: true
        - in: query
          name: type
          schema:
            enum:
              - day
              - week
              - month
              - year
              - alltime
            type: string
            default: year
            minLength: 1
          description: >-
            Type of time periods to be aggregated over. ('alltime' corresponds
            aggregating over the entire requested interval)


            * `day` - day

            * `week` - week

            * `month` - month

            * `year` - year

            * `alltime` - alltime
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/FeedInSupplyResponse'
          description: ''
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommunityQueryValidationError'
              examples:
                InvalidQueryParameters:
                  value:
                    start:
                      - input time zone has to be utc
                    end:
                      - input time zone has to be utc
                    type:
                      - '"invalid_interval" is not a valid choice.'
                  summary: Invalid query parameters
          description: Invalid query parameters
components:
  schemas:
    FeedInSupplyResponse:
      type: object
      properties:
        timestamp:
          type: string
          format: date
          description: Date associated with the requested aggregation type.
        feed_in:
          type: number
          format: double
          description: Feed-in in kWh (missing values are replaced with 0)
        supply:
          type: number
          format: double
          description: Supply in kWh (missing values are replaced with 0)
        self_sufficiency:
          type: integer
          description: >-
            Self-sufficiency in %, corresponds to feed-in/supply (for supply=0,
            self-sufficiency is 0%; for supply=feed-in=0, self-sufficiency is
            100%)
        saved_co2:
          type: integer
          description: >-
            Saved CO2 in g (based on supply values and the specific CO2 emission
            factor published by the BDEW)
      required:
        - feed_in
        - saved_co2
        - self_sufficiency
        - supply
        - timestamp
    CommunityQueryValidationError:
      type: object
      properties:
        start:
          type: array
          items:
            type: string
          description: Validation errors for the start query parameter.
        end:
          type: array
          items:
            type: string
          description: Validation errors for the end query parameter.
        type:
          type: array
          items:
            type: string
          description: Validation errors for the aggregation type query parameter.
        limit:
          type: array
          items:
            type: string
          description: Validation errors for the result-limit query parameter.
        non_field_errors:
          type: array
          items:
            type: string
          description: Validation errors that concern the combination of query parameters.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.